{"bugs":{"url":"https://github.com/SorinGFS/idn-hostname/issues"},"dist":{"shasum":"189b784bce82098405f1efecad964fe00ae62230","tarball":"https://registry.npmjs.org/idn-hostname/-/idn-hostname-15.1.3.tgz","fileCount":94,"integrity":"sha512-EJ+bsX6Dg5fInK4bi6VgWBY1O3n3LVW47lSGrvcOKBOhXjETZNdh2RY9P062ceDnUnmUMDiP3reIWUPsRotJhQ==","signatures":[{"sig":"MEQCIDBo3nehWZ0/rG2IfIQr3LGNXi+QlMgFd6ozAEV21o9xAiAfLxISDvh41shLV6SaGPTZKfDbR2UPXQQMwNduYrE8MQ==","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"}],"unpackedSize":214201},"main":"index.js","name":"idn-hostname","type":"commonjs","types":"./index.d.ts","author":{"name":"SorinGFS"},"gitHead":"a96b563f95d019b1bdb525896eed44bca9279ed6","license":"MIT","scripts":{"test":"echo \"Error: no test specified\" && exit 1"},"_npmUser":{"name":"soringfs","email":"sorin.gfs@protonmail.com"},"homepage":"https://github.com/SorinGFS/idn-hostname#readme","keywords":["idn-hostname","idna","validation","unicode","mapping"],"repository":{"url":"git+https://github.com/SorinGFS/idn-hostname.git","type":"git"},"_npmVersion":"11.6.2","description":"An internationalized hostname validator as defined by RFC5890, RFC5891, RFC5892, RFC5893, RFC3492 and UTS#46","directories":{},"maintainers":[{"name":"soringfs","email":"sorin.gfs@protonmail.com"}],"_nodeVersion":"24.0.2","dependencies":{"punycode":"^2.3.1"},"_hasShrinkwrap":false,"devDependencies":{"@types/punycode":"^2.1.4"},"_npmOperationalInternal":{"tmp":"tmp/idn-hostname_15.1.3_1760862655799_0.471450812320922","host":"s3://npm-registry-packages-npm-production"},"_id":"idn-hostname@15.1.3","version":"15.1.3"}